Bug 1456911 - Fix checking for valid VLan ID in NetworkManager connection
Summary: Fix checking for valid VLan ID in NetworkManager connection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-30 16:24 UTC by Thomas Haller
Modified: 2017-08-01 09:28 UTC (History)
8 users (show)

Fixed In Version: NetworkManager-1.8.0-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:28:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Thomas Haller 2017-05-30 16:24:49 UTC
VLAN ID 4095 is not a valid ID.
A user configuring it, will not succeed.

That was aimed to be fixed by https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=8715d61437060cacc68c156b1c8ed7bbce4b0a78 . This change, caused NM to reject VLAN ID 4095, but also failed to load existing connections on disk -- but that is no problem, because such connections were never functional!!


However, the fix was wrong, so it doesn't actually reject the 4095.
This got now fixed by https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=159cd4836fb32f3a6ecefa6fc4dcc114892ce32a


The fix is important, because otherwise a user can configure ID 4095 which triggers an assertion in NetworkManager.

Comment 2 Thomas Haller 2017-05-31 09:40:43 UTC
Reproducer:


just create a connection with VLAN ID 4095


$ nmcli connection add type vlan con-name t-vlan autoconnect no id 4095 dev enp0s25



correct result:
Error: Failed to add 't-vlan' connection: vlan.id: the vlan id must be in range 0-4094 but is 4095

Comment 4 errata-xmlrpc 2017-08-01 09:28:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.